Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming
Class _BindingIteratorImplBase

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--org.omg.CORBA.DynamicImplementation
                  |
                  +--org.omg.CosNaming._BindingIteratorImplBase

All Implemented Interfaces:
  BindingIterator, BindingIteratorOperations, IDLEntity, Object, Serializable

public abstract class _BindingIteratorImplBase
extends DynamicImplementation
implements BindingIterator

See Also:
  Serialized Form

Constructor Summary
`_BindingIteratorImplBase()`

Method Summary
`String[]` | `_ids()` Retrieves a string array containing the repository identifiers supported by this `ObjectImpl` object.
`void` | `invoke(ServerRequest r)` Accepts a `ServerRequest` object and uses its methods to determine the request target, operation, and parameters, and to set the result or exception.

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.omg.CosNaming.BindingIteratorOperations
`destroy, next_n, next_one`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### _BindingIteratorImplBase

    public _BindingIteratorImplBase()

Method Detail

### _ids

    public String[] _ids()

  Description copied from class: `ObjectImpl`
  Retrieves a string array containing the repository identifiers supported by this `ObjectImpl` object. For example, for a stub, this method returns information about all the interfaces supported by the stub.
  Overrides:
    `_ids` in class `ObjectImpl`
  Following copied from class: `org.omg.CORBA.portable.ObjectImpl`
  Returns:
    the array of all repository identifiers supported by this `ObjectImpl` instance

### invoke

    public void invoke(ServerRequest r)

  Description copied from class: `DynamicImplementation`
  Accepts a `ServerRequest` object and uses its methods to determine the request target, operation, and parameters, and to set the result or exception. Deprecated by the Portable Object Adapter.
  Overrides:
    `invoke` in class `DynamicImplementation`
  Following copied from class: `org.omg.CORBA.DynamicImplementation`
  Parameters:
    `request` - a `ServerRequest` object representing the request to be invoked

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.